%define kdeprefix /opt/kde
%define version 1.1
%define kderelease 1
%define sourcedir stable/1.1/apps/utils
%define tag -1.1
%define topdirtag -1.1
Serial: 2

%define target RedHat 5.1 or 5.2 systems
%define cc egcs
%define rh rh5x
%define redhat redhat-release >= 5.1
%define qt  qt >= 1.42 qt-egcs-10x

%define kdename  kdpms
%define topdir %{kdename}-0.2.5
Name: %{kdename}
Summary: kdpms - X11 Powermanagment
Version: 1.1.2
Release: %{kderelease}%{rh}
Source: ftp://ftp.kde.org:/pub/kde/stable/latest/apps/utils/kdpms-0.2.5.tar.gz
Patch0: kdpms.patch
Copyright: GPL
Group: X11/KDE/Utilities
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qt} %{redhat} kdebase-%{rh}
Distribution: KDE
Packager: Mikkel L. Ellertson <mikkel@execpc.com>
Vendor: henning.busacker@Duesseldorf.netsurf.de
Prefix: %{kdeprefix}

%description
Configures the Powermanagment functions of your X11-Server.
This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}
%patch

%build
export KDEDIR=%{kdeprefix}
CC=%{cc} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --disable-path-check
make KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' \
        -e '/\/applnk\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sun Feb 14 1999  <mikkel@execpc.com>
- created  spec file










